Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

criteria_set.php
Go to the documentation of this file.
1 <?php
16 class ezpContentCriteriaSet implements ArrayAccess, Countable, Iterator
17 {
25 public function offsetSet( $offset, $value )
26 {
27 $this->criteria[] = $value;
28 }
29
35 public function offsetGet( $offset ){}
36
37 public function offsetExists( $offset ){}
38
39 public function offsetUnset( $offset ){}
40
46 public function count()
47 {
48 return count( $this->criteria );
49 }
50
52
53 public function key()
54 {
55 return $this->pointer;
56 }
57
58 public function current ()
59 {
60 return $this->criteria[$this->pointer];
61 }
62
63 public function next()
64 {
65 ++$this->pointer;
66 }
67
68 public function rewind()
69 {
70 $this->pointer = 0;
71 }
72
73 public function valid()
74 {
75 return isset( $this->criteria[$this->pointer] );
76 }
77
78 private $criteria = array();
79
84 private $pointer = 0;
85 }
86 ?>
ezpContentCriteriaSet
Definition: criteria_set.php:17
ezpContentCriteriaSet\count
count()
Definition: criteria_set.php:46
ezpContentCriteriaSet\key
key()
Definition: criteria_set.php:53
ezpContentCriteriaSet\valid
valid()
Definition: criteria_set.php:73
ezpContentCriteriaSet\$pointer
$pointer
Definition: criteria_set.php:84
ezpContentCriteriaSet\rewind
rewind()
Definition: criteria_set.php:68
ezpContentCriteriaSet\next
next()
Definition: criteria_set.php:63
ezpContentCriteriaSet\offsetGet
offsetGet( $offset)
Definition: criteria_set.php:35
ezpContentCriteriaSet\$criteria
$criteria
Definition: criteria_set.php:78
ezpContentCriteriaSet\current
current()
Definition: criteria_set.php:58
ezpContentCriteriaSet\offsetExists
offsetExists( $offset)
Definition: criteria_set.php:37
ezpContentCriteriaSet\offsetSet
offsetSet( $offset, $value)
Definition: criteria_set.php:25
ezpContentCriteriaSet\offsetUnset
offsetUnset( $offset)
Definition: criteria_set.php:39
$offset
$offset
Definition: ezstats/admin/cron.php:51
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.